
package org.sky.scientific.service;

import org.sky.core.mp.base.BaseService;
import org.sky.scientific.pojo.entity.XmFinanceEntity;

import java.util.List;

/**
 * 会计/加计扣除/高新-研发项目清单 服务类
 *
 * @author Kd
 * @since 2025-06-29
 */
public interface IXmFinanceService extends BaseService<XmFinanceEntity> {


	List<XmFinanceEntity> selectXmFinanceList(XmFinanceEntity dto);

	/**
	 * 新增
	 * @param entity
	 * @return
	 */
	boolean saveFinance(XmFinanceEntity entity);

	/**
	 * 批量删除
	 * @param ids
	 * @return
	 */
	boolean physicalDeleteByIds(List<Long> ids);

	/**
	 * 引入
	 * @param entity
	 * @return
	 */
	boolean fetchFinance(XmFinanceEntity entity);
}
